Bug 1543532 - A-MQ Components not visible in Java Console when using IE11 browser
Summary: A-MQ Components not visible in Java Console when using IE11 browser
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 3.9.0
Hardware: All
OS: All
unspecified
medium
Target Milestone: ---
: 3.9.0
Assignee: Alexandre Kieling
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On: 1518407 1543435 1543467
Blocks: 1519573 1543396 1543402 1543525
TreeView+ depends on / blocked
 
Reported: 2018-02-08 16:26 UTC by Alexandre Kieling
Modified: 2018-03-28 14:27 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Use of javascript Array/String methods not supported by IE11 (Array.find, Array.findIndex, String.startsWith, String.endsWith) Consequence: Error that prevents some A-MQ pages to show content when the user clicks on a tree node Fix: Replace the unsupported methods with the Lodash library equivalent methods Result: A-MQ pages show their content as expected
Clone Of: 1543467
Environment:
Last Closed: 2018-03-28 14:27:28 UTC
Target Upstream Version:


Attachments (Terms of Use)
The right pane shows details about the selected tree node -- IE 11 (67.36 KB, image/png)
2018-02-22 03:24 UTC, Junqi Zhao
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:0489 None None None 2018-03-28 14:27:56 UTC

Comment 1 Alexandre Kieling 2018-02-08 16:45:06 UTC
This bug will be fixed on the master branch.

Comment 2 openshift-github-bot 2018-02-08 18:07:14 UTC
Commits pushed to master at https://github.com/openshift/origin-web-console

https://github.com/openshift/origin-web-console/commit/e3269b567fb036ce88d8b21f8649d4874d117605
Fix Bug 1543532 - A-MQ Components not visible in Java Console when using IE11 browser

https://github.com/openshift/origin-web-console/commit/4da22e3914084a5d3410982d2cb0b129a5b69ce9
Merge pull request #2793 from akieling/master-openshift-jvm-1.2.6

Automatic merge from submit-queue.

Fix Bug 1543532 - A-MQ Components not visible in Java Console when using IE11 browser

Fixes the following bug on OpenShift Enterprise 3.9:
https://bugzilla.redhat.com/show_bug.cgi?id=1543532

Comment 3 Alexandre Kieling 2018-02-12 14:03:36 UTC
Pull request:
https://github.com/openshift/origin-web-console/pull/2792

Comment 4 Alexandre Kieling 2018-02-12 14:14:14 UTC
Sorry, the correct PR is:
https://github.com/openshift/origin-web-console/pull/2549

Comment 6 Junqi Zhao 2018-02-22 03:23:52 UTC
The right pane shows details about the selected tree node in IE 11 now, see the attached picture.

IE Version: 11.248.16299.0
# openshift version
openshift v3.9.0-0.45.0
kubernetes v1.9.1+a0ce1bc657
etcd 3.2.8

jvm version:  1.2.6

Comment 7 Junqi Zhao 2018-02-22 03:24:27 UTC
Created attachment 1399098 [details]
The right pane shows details about the selected tree node -- IE 11

Comment 10 errata-xmlrpc 2018-03-28 14:27:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0489


Note You need to log in before you can comment on or make changes to this bug.